PYNIFTI_PST(1)

NAME
pynifti_pst - compute peristimulus timeseries of fMRI data

SYNOPSIS
pynifti_pst [options] <4dimage> <outfile> <vol_id | filename> [...]

DESCRIPTION
pynifti_pst computes the peristimulus signal timecourse for all voxels in a volume at once. Stimulus onsets can be specified as volume numbers or times (will be converted into volume numbers using a supplied repetition time). Onsets can be specified directly on the command line, but can also be read from (multiple) files. Such file are assumed to list one onset per line (as the first value). Empty lines are ignored. This enables pynifti_pst to use e.g. FSL's custom EV files. If several files are specified, the read onsets are combined to a single onset vector. pynifti_pst writes a 4d timeseries image as output. This image can e.g. be loaded into FSLView to look at each voxels signal timecourse in a certain condition by simply clicking on it.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--verbose
    print status messages

-n NVOLS, --nvols=NVOLS
    Set the length of the computed peristimulus signal timecourse (in volumes). Default: 10

-t, --times
    If supplied, the read values are treated as onset times and will be converted to volume numbers. For each onset the volume that is closest in time will be selected. Volumes are assumed to be recorded exactly (and completely) after tr/2, e.g. if 'tr' is 2 secs the first volume is recorded at exactly one second. Please see the --tr and --offset options to learn how to adjust the conversion.

--tr=TR
    Repetition time of the 4d image (temporal difference of two successive volumes). This can be used to override the setting in the 4d image. The repetition time is necessary to convert onset times into volume numbers. If the '--times' option is not set this value has no effect. Please note that repetitions time and the supplied onsets have to be in the same unit. Please note, that if --times is given the tr has to be specified in the same unit as the read onset times.

--offset=OFFSET
    Constant offset applied to the onsets times when converting them to volume numbers. Without setting '-- times' this option has no effect'.

-p, --percsigchg
    Convert the computed timecourse to percent signal change relative to the first (onset) volume. This might not be meaningful when --operation is set to something different than 'mean'. Please note, that the shape of the computes timeseries heavily depends on the first average volume. It might be more meaningful to use a real baseline condition as origin. However, this is not supported yet. Default: False

--printvoxel=PRINTVOXEL
    Print the peristimulus timeseries of a single voxel for all onsets separately. This will print a matrix (onsets x time), where the number of columns is identical to the value of --nvols and the number of rows corresponds to the number of specified onsets. (e.g. 'z,y,x')

--operation=OPERATION
    Choose the math operation that is performed to compute the peristimulus timeseries. By default this is the mean across all stimulations ('mean'). Other possibilities are the standard deviation ('std') and standard error ('sde').